﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using Wra4Skype.Library;

namespace Wra4Skype.Tests
{
    /// <summary>
    /// This is a test class for MessageToolsTest and is intended
    /// to contain all MessageToolsTest Unit Tests
    /// </summary>
    [TestClass]
    public class MessageToolsTest
    {
        /// <summary>
        /// A test for GetInvitationPartsFromMessage
        /// </summary>
        [TestMethod]
        public void GetInvitationPartsFromMessageTestVersion1()
        {
            var message = MessageTools.CreateMessageFromInvitationParts("1234", "invitation", "1");

            var invitationMessage = MessageTools.GetInvitationPartsFromMessage(message);
            Assert.AreEqual(invitationMessage.Password, "1234");
            Assert.AreEqual(invitationMessage.InvitationXml, "invitation");
            Assert.AreEqual(invitationMessage.Version, "1");
        }

        /// <summary>
        /// A test for GetInvitationPartsFromMessage
        /// </summary>
        [TestMethod]
        public void GetInvitationPartsFromMessageTestVersion2()
        {
            var message = MessageTools.CreateMessageFromInvitationParts("1234", "invitation", "2");

            var invitationMessage = MessageTools.GetInvitationPartsFromMessage(message);
            Assert.AreEqual(invitationMessage.Password, "1234");
            Assert.AreEqual(invitationMessage.InvitationXml, "invitation");
            Assert.AreEqual(invitationMessage.Version, "2");
        }
    }
}
