using System;
using System.Windows.Forms;
using SkypeControl;

namespace TestApp
{
    public partial class Form1 : Form
    {
        private readonly SkypeProxy skype = new SkypeProxy();

        public Form1()
        {
            this.InitializeComponent();

            this.skype.SkypeAttach += this.Skype_SkypeAttach;
            this.skype.SkypeResponse += this.Skype_SkypeResponse;
        }

        private void Skype_SkypeAttach(object theSender, SkypeAttachEventArgs theEventArgs)
        {
            textBox1.AppendText(string.Format("Attach: {0}\r\n", theEventArgs.AttachStatus));
        }

        private void Skype_SkypeResponse(object theSender, SkypeResponseEventArgs theEventArgs)
        {
            textBox1.AppendText(string.Format("Response: {0}\r\n", theEventArgs.Response));
        }

        private void Button1_Click(object sender, EventArgs e)
        {
            this.skype.Connect();
        }

        private void Button2_Click(object sender, EventArgs e)
        {
            textBox1.AppendText(string.Format("Command: {0}\r\n", comboBox1.Text));
            this.skype.Command(this.comboBox1.Text);
        }

        private void button3_Click(object sender, EventArgs e)
        {
            this.skype.Disconnect();
        }

        private void linkLabel1_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            System.Diagnostics.Process.Start(@"http://share.skype.com/sites/devzone/2006/01/api_reference_for_skype_20_bet.html#Reference");
        }

        private void linkLabel2_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            System.Diagnostics.Process.Start(@"mailto:ag1206@pobox.sk&subject=Skype API Test");
        }
    }
}